> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Augment test cases

> Submit test cases for augmentation using few-shot learning. The API automatically selects up to 5 random test cases from the given test as few-shot examples. See [Tests](https://docs.galtea.ai/concepts/product/test).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json post /generateFromFewShot/augment
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /generateFromFewShot/augment:
    post:
      tags:
        - test-cases
      summary: Augment test cases
      description: >-
        Submit test cases for augmentation using few-shot learning. The API
        automatically selects up to 5 random test cases from the given test as
        few-shot examples. See
        [Tests](https://docs.galtea.ai/concepts/product/test).
      operationId: augmentTestCases
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - testId
                - maxTestCases
              properties:
                testId:
                  type: string
                  description: ID of the test to augment
                  example: test_123
                maxTestCases:
                  type: integer
                  minimum: 1
                  example: 100
                productDescription:
                  type: string
                  nullable: true
                  example: A product that helps users
      responses:
        '202':
          description: Augmentation task started successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  taskId:
                    type: string
                    example: task_123
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````